import { ref } from "vue";
import { defineStore } from "pinia";

import type { DataOption } from "@/modules/04_registryPerson/interface/index/Main";

export const useAbsentLateStore = defineStore("absentLate", () => {
  const statusOps = ref<DataOption[]>([
    { name: "ขาดราชการ", id: "ABSENT" },
    { name: "มาสาย", id: "LATE" },
  ]);

  const stampTypeOps = ref<DataOption[]>([
    { name: "เต็มวัน", id: "FULL_DAY" },
    { name: "ครึ่งเช้า", id: "MORNING" },
    { name: "ครึ่งบ่าย ", id: "AFTERNOON" },
  ]);

  return { statusOps, stampTypeOps };
});
